Kerbal Space Program - Bug #25673

Fairing not able to be built
07/02/2020 08:08 AM - lanNewbie

Status: Confirmed Start date: 07/02/2020

Severity: Low % Done: 10%

Assignee:

Category: Fairings

Target version:

Version: 1.10.0 Language: Deutsch (German), English (US)
Platform: Windows Mod Related: Yes

Expansion: Core Game

Description

Using-the-AE-FF++airstreamProteetive-Shell- The building Fairing option is not working [in general]
Postedit: Bug is mod-related (Restock)

History

#1 - 07/04/2020 09:17 PM - Cookie

- File 2020-07-04 22_49 39-Kerbal Space Program.png added
- Language Deutsch (German) added

- Language deleted (English (US))

lanNewbie wrote:

Using the AE-FF ++ airstream Protective Shell. The building Fairing option is not working

Same error here when adding any stock fairing (Squad/Parts/Aero/fairings/fairingSize1..3 and SquadExpansion/Parts/Payload/fairingSize1p5..4)
Excerpt from from KSP.log:

[LOG 23:06:56.421] fairingSize4 added to ship - part count: 6

[ERR 23:06:56.465] Exception handling event onEditorPartEvent in class ModuleProceduralFairing:System.Exception: FSM Error: Cannot switch
states before starting. Please call StartFSM() before running the FSM.

at KerbalFSM.RunEvent (KFSMEvent evt) [0x0001b] in <c168e21ec56346b082f89043e76162e1>:0

at ModuleProceduralFairing.onEditorPartEvent (ConstructionEventType evt, Part p) [0x00061] in <c168e21ec56346b082{89043e76162e1>:0

at EventData 2[T,U].Fire (T data0, U data1) [0x000b0] in <c168e21ec56346b082{89043e76162e1>:0

[EXC 23:06:56.467] Exception: FSM Error: Cannot switch states before starting. Please call StartFSM() before running the FSM.
KerbalFSM.RunEvent (KFSMEvent evt) (at <c168e21ec56346b082{89043e76162e1>:0)
ModuleProceduralFairing.onEditorPartEvent (ConstructionEventType evt, Part p) (at <c168e21ec56346b082f89043e76162e1>:0)
EventData 2[T,U].Fire (T data0, U data1) (at <c168e21ec56346b082f89043e76162e1>:0)
UnityEngine.DebuglLogHandler:LogException(Exception, Object)
ModuleManager.UnityLogHandle.InterceptLogHandler:LogException(Exception, Object)
UnityEngine.Debug:LogException(Exception)

EventData 2:Fire(ConstructionEventType, Part)

EditorLogic:<SetupFSM>b__195_29()

KerbalFSM:RunEvent(KFSMEvent)

KerbalFSM:updateFSM(KFSMUpdateMode)

KerbalFSM:UpdateFSM()

EditorLogic:Update()

#2 - 07/04/2020 10:19 PM - Cookie

- Category changed from Parts to Fairings
- Status changed from New to Confirmed
- % Done changed from 0 to 10

- Language English (US) added

#3 - 07/04/2020 10:20 PM - Cookie
- Description updated

#4 - 07/08/2020 07:19 PM - Cookie
- Description updated
- Mod Related changed from No to Yes

Postedit: Bug is mod-related (Restock) and needs whitelisting of stock textures.
see KSP-Forum entry:
https://forum.kerbalspaceprogram.com/index.php?/topic/182679-19x-restock-revamping-ksps-art-not-compatible-with-110/page/63/&tab=comments#c

mment-381657

#5 - 07/19/2020 09:19 PM - jukkamuhonen@hotmail.com

And to start building fairing, you can't close it on first Click, you must first build fairing upwards 90 degrees, it wasn't like this before

Files
AirStreamNotBuildingFairing.PNG 660 KB 07/02/2020 lanNewbie
2020-07-04 22_49_39-Kerbal Space Program.png 1.05 MB 07/04/2020 Cookie
